using SqlSugar;

namespace YBDevice.Entity
{
    /// <summary>
    /// 用户关注公众号相关
    /// </summary>
    [SugarTable("YB_WXFansExt", TableDescription = "用户关注公众号相关", IsDisabledUpdateAll = false, IsDisabledDelete = true)]
    public class YB_WXFansExt
    {
        /// <summary>
        /// 粉丝ID
        /// </summary>
        [SugarColumn(IsPrimaryKey = true)]
        public System.Guid ResultId { get; set; }

        /// <summary>
        /// 公众号appid
        /// </summary>
        [SugarColumn(ColumnDescription = "公众号appid", ColumnDataType = "varchar(50)")]
        public System.String AppId { get; set; }

        /// <summary>
        /// 用户openid
        /// </summary>
        [SugarColumn(ColumnDescription = "用户openid", ColumnDataType = "varchar(50)")]
        public System.String OpenId { get; set; }

        /// <summary>
        /// 关注状态,-1-状态未知,0-取关,1-已关注
        /// </summary>
        [SugarColumn(ColumnDescription = "关注状态,-1-状态未知,0-取关,1-已关注")]
        public System.Int32 Subscribe { get; set; }

        /// <summary>
        /// 关注时间
        /// </summary>
        [SugarColumn(ColumnDescription = "关注时间")]
        public System.DateTime SubscribeTime { get; set; }

        /// <summary>
        /// 取关时间
        /// </summary>
        [SugarColumn(ColumnDescription = "取关时间", IsNullable = true)]
        public System.DateTime? UnSubscribeTime { get; set; }
    }
}
